]> rtime.felk.cvut.cz Git - orte.git/blobdiff - configure
version 0.2.2 (mac, solaris patch)
[orte.git] / configure
index 93144c1ba8b4e900ec7f0aa0bda4778df9ee3d96..d11b5aed7011713bab4393b93db4318685e7f572 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for orte 0.2.0.
+# Generated by GNU Autoconf 2.59 for orte 0.2.2.
 #
 # Report bugs to <petr.smolik@wo.cz>.
 #
@@ -269,11 +269,11 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='orte'
 PACKAGE_TARNAME='orte'
-PACKAGE_VERSION='0.2.0'
-PACKAGE_STRING='orte 0.2.0'
+PACKAGE_VERSION='0.2.2'
+PACKAGE_STRING='orte 0.2.2'
 PACKAGE_BUGREPORT='petr.smolik@wo.cz'
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LINUX_DIR LINUX_ARCH LINUX_AFLAGS LINUX_LDFLAGS LINUX_ARFLAGS LINUX_CROSS_COMPILE LINUX_KERNELRELEASE LINUX_CFLAGS LINUX_CC LINUX_LD LINUX_AS LINUX_MODULE_EXT CONFIG_ORTE_KERNEL CONFIG_ORTE_KERNEL_TRUE CONFIG_ORTE_KERNEL_FALSE CONFIG_RTHAL_TRUE CONFIG_RTHAL_FALSE RTAI_CFLAGS CONFIG_RTLINUX_TRUE CONFIG_RTLINUX_FALSE RTLINUX_CFLAGS CONFIG_ORTE_RT USE_RTAI_TRUE USE_RTAI_FALSE USE_RTLINUX_TRUE USE_RTLINUX_FALSE CONFIG_ORTE_RT_TRUE CONFIG_ORTE_RT_FALSE ORTE_MAJOR_VERSION ORTE_MINOR_VERSION ORTE_MICRO_VERSION ORTE_VERSION CONFIG_ORTE_WIN_TRUE CONFIG_ORTE_WIN_FALSE CONFIG_ORTE_UNIX_TRUE CONFIG_ORTE_UNIX_FALSE moduledir modulePROGRAMS_INSTALL CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE RANLIB ac_ct_RANLIB CPP EGREP INCLUDES LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LINUX_DIR LINUX_ARCH LINUX_AFLAGS LINUX_LDFLAGS LINUX_ARFLAGS LINUX_CROSS_COMPILE LINUX_KERNELRELEASE LINUX_CFLAGS LINUX_CC LINUX_LD LINUX_AS LINUX_MODULE_EXT CONFIG_ORTE_KERNEL CONFIG_ORTE_KERNEL_TRUE CONFIG_ORTE_KERNEL_FALSE CONFIG_RTHAL_TRUE CONFIG_RTHAL_FALSE CONFIG_ADEOS_TRUE CONFIG_ADEOS_FALSE RTAI_CFLAGS CONFIG_RTLINUX_TRUE CONFIG_RTLINUX_FALSE RTLINUX_CFLAGS RTLINUX_CC CONFIG_ORTE_RT USE_RTAI_TRUE USE_RTAI_FALSE USE_RTLINUX_TRUE USE_RTLINUX_FALSE CONFIG_ORTE_RT_TRUE CONFIG_ORTE_RT_FALSE ORTE_MAJOR_VERSION ORTE_MINOR_VERSION ORTE_MICRO_VERSION ORTE_VERSION CONFIG_ORTE_WIN_TRUE CONFIG_ORTE_WIN_FALSE CONFIG_ORTE_CYGWIN_TRUE CONFIG_ORTE_CYGWIN_FALSE CONFIG_ORTE_MINGW_TRUE CONFIG_ORTE_MINGW_FALSE CONFIG_ORTE_UNIX_TRUE CONFIG_ORTE_UNIX_FALSE moduledir modulePROGRAMS_INSTALL CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE RANLIB ac_ct_RANLIB CPP EGREP INCLUDES LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -742,7 +742,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures orte 0.2.0 to adapt to many kinds of systems.
+\`configure' configures orte 0.2.2 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -809,7 +809,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of orte 0.2.0:";;
+     short | recursive ) echo "Configuration of orte 0.2.2:";;
    esac
   cat <<\_ACEOF
 
@@ -825,7 +825,8 @@ Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-linuxdir=DIR     specify path to Linux source directory
-  --with-rtaidir=DIR      specify path to RTAI source directory
+  --with-rtaidir=DIR      specify path to RTAI source/installation directory
+  --with-rtnetdir=DIR     specify path to RTnet source/installation directory
   --with-rtlinuxdir=DIR   specify path to RTLinux source directory
   --with-rtlinuxudpdir=DIR
                           specify path to RTLinux UDP source directory
@@ -938,7 +939,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-orte configure 0.2.0
+orte configure 0.2.2
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -952,7 +953,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by orte $as_me 0.2.0, which was
+It was created by orte $as_me 0.2.2, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -1397,13 +1398,9 @@ test -n "$target_alias" &&
   test "$program_prefix$program_suffix$program_transform_name" = \
     NONENONEs,x,x, &&
   program_prefix=${target_alias}-
-# Add the stamp file to the list of files AC keeps track of,
-# along with our hook.
           ac_config_headers="$ac_config_headers orte/include/config.h"
 
-
-
-am__api_version="1.6"
+am__api_version="1.7"
 # Find a good install program.  We prefer a C program (faster),
 # so one script is as good as another.  But avoid the broken or
 # incompatible versions:
@@ -1624,6 +1621,15 @@ echo "${ECHO_T}no" >&6
   SET_MAKE="MAKE=${MAKE-make}"
 fi
 
+rm -rf .tst 2>/dev/null
+mkdir .tst 2>/dev/null
+if test -d .tst; then
+  am__leading_dot=.
+else
+  am__leading_dot=_
+fi
+rmdir .tst 2>/dev/null
+
  # test to see if srcdir already configured
 if test "`cd $srcdir && pwd`" != "`pwd`" &&
    test -f $srcdir/config.status; then
@@ -1632,9 +1638,19 @@ echo "$as_me: error: source directory already configured; run \"make distclean\"
    { (exit 1); exit 1; }; }
 fi
 
+# test whether we have cygpath
+if test -z "$CYGPATH_W"; then
+  if (cygpath --version) >/dev/null 2>/dev/null; then
+    CYGPATH_W='cygpath -w'
+  else
+    CYGPATH_W=echo
+  fi
+fi
+
+
 # Define the identity of the package.
  PACKAGE=orte
- VERSION=0.2.0
+ VERSION=0.2.2
 
 
 cat >>confdefs.h <<_ACEOF
@@ -1962,8 +1978,8 @@ _ACEOF
 
 
        else
-          echo "$as_me:$LINENO: result: \"none\"" >&5
-echo "${ECHO_T}\"none\"" >&6
+          echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
 
          CONFIG_ORTE_KERNEL=no
 
@@ -1993,6 +2009,15 @@ else
 fi;
 
 
+# Check whether --with-rtnetdir or --without-rtnetdir was given.
+if test "${with_rtnetdir+set}" = set; then
+  withval="$with_rtnetdir"
+  RTNET_DIR="${withval}"
+else
+  RTNET_DIR=/usr/src/rtnet
+fi;
+
+
 
        echo "$as_me:$LINENO: checking Linux config option CONFIG_RTHAL" >&5
 echo $ECHO_N "checking Linux config option CONFIG_RTHAL... $ECHO_C" >&6
@@ -2025,7 +2050,39 @@ fi
 
 
 
-       if test "${CONFIG_RTHAL}" != "no" ; then
+
+       echo "$as_me:$LINENO: checking Linux config option CONFIG_ADEOS" >&5
+echo $ECHO_N "checking Linux config option CONFIG_ADEOS... $ECHO_C" >&6
+
+       if grep '^CONFIG_ADEOS=y$' ${LINUX_DIR}/.config >/dev/null 2>/dev/null; then
+               result=yes
+               CONFIG_ADEOS=yes
+       else if grep '^CONFIG_ADEOS=m$' ${LINUX_DIR}/.config >/dev/null 2>/dev/null; then
+               result=module
+               CONFIG_ADEOS=module
+       else
+               result=no
+               CONFIG_ADEOS=no
+       fi
+       fi
+
+       echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6
+
+
+
+
+if test "${CONFIG_ADEOS}" = yes -o "${CONFIG_ADEOS}" = module; then
+  CONFIG_ADEOS_TRUE=
+  CONFIG_ADEOS_FALSE='#'
+else
+  CONFIG_ADEOS_TRUE='#'
+  CONFIG_ADEOS_FALSE=
+fi
+
+
+
+       if test "${CONFIG_RTHAL}" != "no" -o "${CONFIG_ADEOS}" != "no"; then
                echo "$as_me:$LINENO: checking RTAI directory ${RTAI_DIR}" >&5
 echo $ECHO_N "checking RTAI directory ${RTAI_DIR}... $ECHO_C" >&6
                if [ -d ${RTAI_DIR}/include ] ; then
@@ -2039,11 +2096,22 @@ echo "$as_me: error: incorrect RTAI directory?" >&2;}
    { (exit 1); exit 1; }; }
                        fi
                fi
-               USE_RTAI=yes
-                RT_GCCLIB_DIR=`gcc -print-search-dirs | sed -n -e 's/^install: \(.*\)$/\1/p'`
-               RTAI_CFLAGS="${RTAI_CFLAGS} -I${RT_GCCLIB_DIR}/include -nostdinc"
                echo "$as_me:$LINENO: result: found" >&5
 echo "${ECHO_T}found" >&6
+               echo "$as_me:$LINENO: checking RTnet directory ${RTNET_DIR}" >&5
+echo $ECHO_N "checking RTnet directory ${RTNET_DIR}... $ECHO_C" >&6
+               if [ -d ${RTNET_DIR}/include ] ; then
+                       RTAI_CFLAGS="${RTAI_CFLAGS} -I${RTNET_DIR}/include"
+               else
+                       { { echo "$as_me:$LINENO: error: incorrect RTnet directory?" >&5
+echo "$as_me: error: incorrect RTnet directory?" >&2;}
+   { (exit 1); exit 1; }; }
+               fi
+               echo "$as_me:$LINENO: result: found" >&5
+echo "${ECHO_T}found" >&6
+               USE_RTAI=yes
+               RT_GCCLIB_DIR=`gcc -print-search-dirs | sed -n -e 's/^install: \(.*\)$/\1/p'`
+               RTAI_CFLAGS="${RTAI_CFLAGS} -idirafter ${RT_GCCLIB_DIR}/include -nostdinc"
 
 cat >>confdefs.h <<\_ACEOF
 #define CONFIG_ORTE_RTAI 1
@@ -2112,6 +2180,7 @@ fi
 echo $ECHO_N "checking RTLinux directory ${RTLINUX_DIR} for rtl.mk... $ECHO_C" >&6
                if [ -d ${RTLINUX_DIR}/include ] ; then
                         RTLINUX_CFLAGS=`sed -n -e 's/^CFLAGS *=\(.*\)$/\1/p' ${RTLINUX_DIR}/rtl.mk`
+                        RTLINUX_CC=`sed -n -e 's/^CC *=\(.*\)$/\1/p' ${RTLINUX_DIR}/rtl.mk`
                else
                        { { echo "$as_me:$LINENO: error: incorrect RTLinux directory?" >&5
 echo "$as_me: error: incorrect RTLinux directory?" >&2;}
@@ -2135,8 +2204,8 @@ echo $ECHO_N "checking RTLinux for UDP... $ECHO_C" >&6
 echo "$as_me: error: incorrect RTLinux UDP directory!!!" >&2;}
    { (exit 1); exit 1; }; }
                fi
-                RT_GCCLIB_DIR=`gcc -print-search-dirs | sed -n -e 's/^install: \(.*\)$/\1/p'`
-               RTLINUX_CFLAGS="${RTLINUX_CFLAGS} -I${RTLINUXUDP_DIR}/include -I${RT_GCCLIB_DIR}/include -nostdinc"
+                RT_GCCLIB_DIR=`${RTLINUX_CC} -print-search-dirs | sed -n -e 's/^install: \(.*\)$/\1/p'`
+               RTLINUX_CFLAGS="${RTLINUX_CFLAGS} -I${RTLINUXUDP_DIR}/include -idirafter ${RT_GCCLIB_DIR}/include -nostdinc"
                echo "$as_me:$LINENO: result: found" >&5
 echo "${ECHO_T}found" >&6
                USE_RTLINUX=yes
@@ -2145,6 +2214,7 @@ echo "${ECHO_T}found" >&6
        fi
 
 
+
        if test ${USE_RTAI} == "yes" -o ${USE_RTLINUX} == "yes" ; then
 
 cat >>confdefs.h <<\_ACEOF
@@ -2191,7 +2261,7 @@ fi
 # Package info
 ORTE_MAJOR_VERSION=0
 ORTE_MINOR_VERSION=2
-ORTE_MICRO_VERSION=0
+ORTE_MICRO_VERSION=2
 ORTE_VERSION=$ORTE_MAJOR_VERSION.$ORTE_MINOR_VERSION.$ORTE_MICRO_VERSION
 
 
@@ -2202,16 +2272,44 @@ ORTE_VERSION=$ORTE_MAJOR_VERSION.$ORTE_MINOR_VERSION.$ORTE_MICRO_VERSION
 ###############################
 # target
 WIN='no'
+MINGW='no'
+CYGWIN='no'
 UNIX='no'
 case "$target" in
-  *-cygwin* | *-mingw*)
+  *-cygwin*)
+    CFLAGS="$CFLAGS"
+    WIN='yes'
+    CYGWIN='yes'
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_ORTE_WIN 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_ORTE_CYGWIN 1
+_ACEOF
+
+    ;;
+  *-mingw*)
     CFLAGS="$CFLAGS"
     WIN='yes'
+    MINGW='yes'
 
 cat >>confdefs.h <<\_ACEOF
 #define CONFIG_ORTE_WIN 1
 _ACEOF
 
+
+cat >>confdefs.h <<\_ACEOF
+#define CONFIG_ORTE_MINGW 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_GETPOT_LONG_ORTE 1
+_ACEOF
+
     ;;
   *)
     # Assume Unix.
@@ -2237,6 +2335,26 @@ fi
 
 
 
+if test x$CIGWIN = xyes; then
+  CONFIG_ORTE_CYGWIN_TRUE=
+  CONFIG_ORTE_CYGWIN_FALSE='#'
+else
+  CONFIG_ORTE_CYGWIN_TRUE='#'
+  CONFIG_ORTE_CYGWIN_FALSE=
+fi
+
+
+
+if test x$MINGW = xyes; then
+  CONFIG_ORTE_MINGW_TRUE=
+  CONFIG_ORTE_MINGW_FALSE='#'
+else
+  CONFIG_ORTE_MINGW_TRUE='#'
+  CONFIG_ORTE_MINGW_FALSE=
+fi
+
+
+
 if test x$UNIX = xyes; then
   CONFIG_ORTE_UNIX_TRUE=
   CONFIG_ORTE_UNIX_FALSE='#'
@@ -2254,6 +2372,22 @@ modulePROGRAMS_UNINSTALL="\$(top_builddir)/modtool --uninstall"
 
 
 
+###############################
+# CFLAGS
+CFLAGS="$CFLAGS -Wall"
+if test ${USE_RTLINUX} == 'yes' ; then
+  CFLAGS="$CFLAGS $RTLINUX_CFLAGS"
+  CC="$RTLINUX_CC"
+else
+  if test ${USE_RTAI} == 'yes' ; then
+    CFLAGS="$CFLAGS $RTAI_CFLAGS $LINUX_CFLAGS"
+  else
+    if test -n ${CONFIG_ORTE_KERNEL} ; then
+      CFLAGS="$CFLAGS $LINUX_CFLAGS"
+    fi
+  fi
+fi
+
 ###############################
 # Checks for programs.
 ac_ext=c
@@ -3185,24 +3319,16 @@ ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
-rm -f .deps 2>/dev/null
-mkdir .deps 2>/dev/null
-if test -d .deps; then
-  DEPDIR=.deps
-else
-  # MS-DOS does not allow filenames that begin with a dot.
-  DEPDIR=_deps
-fi
-rmdir .deps 2>/dev/null
-
+DEPDIR="${am__leading_dot}deps"
 
           ac_config_commands="$ac_config_commands depfiles"
 
 
 am_make=${MAKE-make}
 cat > confinc << 'END'
-doit:
+am__doit:
        @echo done
+.PHONY: am__doit
 END
 # If we don't find an include directive, just comment out the code.
 echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5
@@ -3217,7 +3343,7 @@ echo "include confinc" > confmf
 # In particular we don't look at `^make:' because GNU make might
 # be invoked under some other name (usually "gmake"), in which
 # case it prints its new name instead of `make'.
-if test "`$am_make -s -f confmf 2> /dev/null | fgrep -v 'ing directory'`" = "done"; then
+if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then
    am__include=include
    am__quote=
    _am_result=GNU
@@ -3277,18 +3403,32 @@ else
   # using a relative directory.
   cp "$am_depcomp" conftest.dir
   cd conftest.dir
+  # We will build objects and dependencies in a subdirectory because
+  # it helps to detect inapplicable dependency modes.  For instance
+  # both Tru64's cc and ICC support -MD to output dependencies as a
+  # side effect of compilation, but ICC will put the dependencies in
+  # the current directory while Tru64 will put them in the object
+  # directory.
+  mkdir sub
 
   am_cv_CC_dependencies_compiler_type=none
   if test "$am_compiler_list" = ""; then
      am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
   fi
   for depmode in $am_compiler_list; do
+    # Setup a source with many dependencies, because some compilers
+    # like to wrap large dependency lists on column 80 (with \), and
+    # we should not choose a depcomp mode which is confused by this.
+    #
     # We need to recreate these files for each test, as the compiler may
     # overwrite some of them when testing with obscure command lines.
     # This happens at least with the AIX C compiler.
-    echo '#include "conftest.h"' > conftest.c
-    echo 'int i;' > conftest.h
-    echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf
+    : > sub/conftest.c
+    for i in 1 2 3 4 5 6; do
+      echo '#include "conftst'$i'.h"' >> sub/conftest.c
+      : > sub/conftst$i.h
+    done
+    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
 
     case $depmode in
     nosideeffect)
@@ -3306,13 +3446,20 @@ else
     # mode.  It turns out that the SunPro C++ compiler does not properly
     # handle `-M -o', and we need to detect this.
     if depmode=$depmode \
-       source=conftest.c object=conftest.o \
-       depfile=conftest.Po tmpdepfile=conftest.TPo \
-       $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 &&
-       grep conftest.h conftest.Po > /dev/null 2>&1 &&
+       source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
+       depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
+       $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
+         >/dev/null 2>conftest.err &&
+       grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
+       grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
-      am_cv_CC_dependencies_compiler_type=$depmode
-      break
+      # icc doesn't choke on unknown options, it will just issue warnings
+      # (even with -Werror).  So we grep stderr for any message
+      # that says an option was ignored.
+      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
+        am_cv_CC_dependencies_compiler_type=$depmode
+        break
+      fi
     fi
   done
 
@@ -3328,6 +3475,18 @@ echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
 CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
 
 
+
+if
+  test "x$enable_dependency_tracking" != xno \
+  && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
+  am__fastdepCC_TRUE=
+  am__fastdepCC_FALSE='#'
+else
+  am__fastdepCC_TRUE='#'
+  am__fastdepCC_FALSE=
+fi
+
+
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
@@ -3410,7 +3569,7 @@ fi
 
 
 ###############################
-# Checks for libraries (not for RT)
+# Checks for libraries
 if test -z ${CONFIG_ORTE_RT} ; then
 
 
@@ -3549,27 +3708,148 @@ _ACEOF
 
 fi
 
+
+echo "$as_me:$LINENO: checking for main in -lsocket" >&5
+echo $ECHO_N "checking for main in -lsocket... $ECHO_C" >&6
+if test "${ac_cv_lib_socket_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsocket  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_socket_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_socket_main=no
 fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_socket_main" >&5
+echo "${ECHO_T}$ac_cv_lib_socket_main" >&6
+if test $ac_cv_lib_socket_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBSOCKET 1
+_ACEOF
 
-###############################
-# enable GNU source
+  LIBS="-lsocket $LIBS"
 
+fi
 
 
-###############################
-# CFLAGS
-CFLAGS="$CFLAGS -Wall"
-if test ${USE_RTLINUX} == 'yes' ; then
-  CFLAGS="$CFLAGS $RTLINUX_CFLAGS"
+echo "$as_me:$LINENO: checking for main in -lnsl" >&5
+echo $ECHO_N "checking for main in -lnsl... $ECHO_C" >&6
+if test "${ac_cv_lib_nsl_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  if test ${USE_RTAI} == 'yes' ; then
-    CFLAGS="$CFLAGS $RTAI_CFLAGS $LINUX_CFLAGS"
-  else
-    if test -n ${CONFIG_ORTE_KERNEL} ; then
-      CFLAGS="$CFLAGS $LINUX_CFLAGS"
-    fi
-  fi
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lnsl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_nsl_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_nsl_main=no
 fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_main" >&5
+echo "${ECHO_T}$ac_cv_lib_nsl_main" >&6
+if test $ac_cv_lib_nsl_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBNSL 1
+_ACEOF
+
+  LIBS="-lnsl $LIBS"
+
+fi
+
+fi
+
+###############################
+# enable GNU source
+
+
 
 ###############################
 # Checks for header files.
 
 
 
+for ac_header in \
+    arpa/inet.h fcntl.h stdio.h netdb.h stdlib.h \
+    string.h sys/ioctl.h sys/time.h unistd.h pthread.h \
+    sys/types.h sys/sockio.h stdarg.h byteswap.h getopt.h \
+    ctype.h signal.h stdint.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
 
-for ac_header in \
-    arpa/inet.h fcntl.h stdio.h netdb.h netinet/in.h stdlib.h \
-    string.h sys/ioctl.h sys/socket.h sys/time.h unistd.h pthread.h \
-    stdarg.h sys/types.h net/if.h byteswap.h getopt.h \
-    ctype.h semaphore.h signal.h
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_Header=no"
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+for ac_header in sys/socket.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef HAVE_SYS_TYPES_H
+            #include <sys/types.h>
+           #endif
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_Header=no"
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+for ac_header in netinet/in.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_header" >&5
@@ -4029,7 +4431,75 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
+#ifdef HAVE_SYS_TYPES_H
+            #include <sys/types.h>
+           #endif
 
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_Header=no"
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+for ac_header in net/if.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef HAVE_SYS_TYPES_H
+            #include <sys/types.h>
+           #endif
+           #ifdef HAVE_SYS_SOCKET_H
+            #include <sys/socket.h>
+           #endif
 
 #include <$ac_header>
 _ACEOF
@@ -4291,9 +4761,8 @@ if test ${USE_RTLINUX} == 'yes' ; then
 
 
 
-
 for ac_header in \
-    string.h pthread.h semaphore.h \
+    string.h pthread.h \
     rtl.h rtl_malloc.h udp.h nic.h time.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -4960,7 +5429,8 @@ fi
 if test -z ${CONFIG_ORTE_RT} ; then
 
 
-for ac_func in strdup gethostbyname
+
+for ac_func in strdup gethostbyname getopt_long
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -5180,6 +5650,13 @@ echo "$as_me: error: conditional \"CONFIG_RTHAL\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${CONFIG_ADEOS_TRUE}" && test -z "${CONFIG_ADEOS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"CONFIG_ADEOS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"CONFIG_ADEOS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${CONFIG_RTLINUX_TRUE}" && test -z "${CONFIG_RTLINUX_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"CONFIG_RTLINUX\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -5215,6 +5692,20 @@ echo "$as_me: error: conditional \"CONFIG_ORTE_WIN\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${CONFIG_ORTE_CYGWIN_TRUE}" && test -z "${CONFIG_ORTE_CYGWIN_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"CONFIG_ORTE_CYGWIN\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"CONFIG_ORTE_CYGWIN\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${CONFIG_ORTE_MINGW_TRUE}" && test -z "${CONFIG_ORTE_MINGW_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"CONFIG_ORTE_MINGW\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"CONFIG_ORTE_MINGW\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${CONFIG_ORTE_UNIX_TRUE}" && test -z "${CONFIG_ORTE_UNIX_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"CONFIG_ORTE_UNIX\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -5229,6 +5720,13 @@ echo "$as_me: error: conditional \"AMDEP\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
@@ -5500,7 +5998,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by orte $as_me 0.2.0, which was
+This file was extended by orte $as_me 0.2.2, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -5563,7 +6061,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-orte config.status 0.2.0
+orte config.status 0.2.2
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -5786,6 +6284,7 @@ s,@target_os@,$target_os,;t t
 s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
 s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
 s,@INSTALL_DATA@,$INSTALL_DATA,;t t
+s,@CYGPATH_W@,$CYGPATH_W,;t t
 s,@PACKAGE@,$PACKAGE,;t t
 s,@VERSION@,$VERSION,;t t
 s,@ACLOCAL@,$ACLOCAL,;t t
@@ -5800,6 +6299,7 @@ s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
 s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
 s,@AWK@,$AWK,;t t
 s,@SET_MAKE@,$SET_MAKE,;t t
+s,@am__leading_dot@,$am__leading_dot,;t t
 s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
 s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
 s,@MAINT@,$MAINT,;t t
@@ -5820,10 +6320,13 @@ s,@CONFIG_ORTE_KERNEL_TRUE@,$CONFIG_ORTE_KERNEL_TRUE,;t t
 s,@CONFIG_ORTE_KERNEL_FALSE@,$CONFIG_ORTE_KERNEL_FALSE,;t t
 s,@CONFIG_RTHAL_TRUE@,$CONFIG_RTHAL_TRUE,;t t
 s,@CONFIG_RTHAL_FALSE@,$CONFIG_RTHAL_FALSE,;t t
+s,@CONFIG_ADEOS_TRUE@,$CONFIG_ADEOS_TRUE,;t t
+s,@CONFIG_ADEOS_FALSE@,$CONFIG_ADEOS_FALSE,;t t
 s,@RTAI_CFLAGS@,$RTAI_CFLAGS,;t t
 s,@CONFIG_RTLINUX_TRUE@,$CONFIG_RTLINUX_TRUE,;t t
 s,@CONFIG_RTLINUX_FALSE@,$CONFIG_RTLINUX_FALSE,;t t
 s,@RTLINUX_CFLAGS@,$RTLINUX_CFLAGS,;t t
+s,@RTLINUX_CC@,$RTLINUX_CC,;t t
 s,@CONFIG_ORTE_RT@,$CONFIG_ORTE_RT,;t t
 s,@USE_RTAI_TRUE@,$USE_RTAI_TRUE,;t t
 s,@USE_RTAI_FALSE@,$USE_RTAI_FALSE,;t t
@@ -5837,6 +6340,10 @@ s,@ORTE_MICRO_VERSION@,$ORTE_MICRO_VERSION,;t t
 s,@ORTE_VERSION@,$ORTE_VERSION,;t t
 s,@CONFIG_ORTE_WIN_TRUE@,$CONFIG_ORTE_WIN_TRUE,;t t
 s,@CONFIG_ORTE_WIN_FALSE@,$CONFIG_ORTE_WIN_FALSE,;t t
+s,@CONFIG_ORTE_CYGWIN_TRUE@,$CONFIG_ORTE_CYGWIN_TRUE,;t t
+s,@CONFIG_ORTE_CYGWIN_FALSE@,$CONFIG_ORTE_CYGWIN_FALSE,;t t
+s,@CONFIG_ORTE_MINGW_TRUE@,$CONFIG_ORTE_MINGW_TRUE,;t t
+s,@CONFIG_ORTE_MINGW_FALSE@,$CONFIG_ORTE_MINGW_FALSE,;t t
 s,@CONFIG_ORTE_UNIX_TRUE@,$CONFIG_ORTE_UNIX_TRUE,;t t
 s,@CONFIG_ORTE_UNIX_FALSE@,$CONFIG_ORTE_UNIX_FALSE,;t t
 s,@moduledir@,$moduledir,;t t
@@ -5855,6 +6362,8 @@ s,@AMDEP_TRUE@,$AMDEP_TRUE,;t t
 s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t
 s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t
 s,@CCDEPMODE@,$CCDEPMODE,;t t
+s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t
+s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t
 s,@RANLIB@,$RANLIB,;t t
 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@CPP@,$CPP,;t t
@@ -6321,13 +6830,29 @@ echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
     cat $tmp/config.h
     rm -f $tmp/config.h
   fi
-  # Run the commands associated with the file.
-  case $ac_file in
-    orte/include/config.h ) # update the timestamp
-echo 'timestamp for orte/include/config.h' >"orte/include/stamp-h1"
- ;;
+# Compute $ac_file's index in $config_headers.
+_am_stamp_count=1
+for _am_header in $config_headers :; do
+  case $_am_header in
+    $ac_file | $ac_file:* )
+      break ;;
+    * )
+      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
   esac
 done
+echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
+$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+        X$ac_file : 'X\(//\)[^/]' \| \
+        X$ac_file : 'X\(//\)$' \| \
+        X$ac_file : 'X\(/\)' \| \
+        .     : '\(.\)' 2>/dev/null ||
+echo X$ac_file |
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
+         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
+         /^X\(\/\/\)$/{ s//\1/; q; }
+         /^X\(\/\).*/{ s//\1/; q; }
+         s/.*/./; q'`/stamp-h$_am_stamp_count
+done
 _ACEOF
 cat >>$CONFIG_STATUS <<\_ACEOF